Manages email messages held in Google Workspace admin quarantines.

> [!WARNING]
> **Developer Preview:** Available as part of the [Google Workspace Developer Preview Program](https://developers.google.com/workspace/preview.md.txt), which grants early access to certain features.

- [REST Resource: v1.customers.operations](https://developers.google.com/workspace/gmail/admin-quarantine/reference/rest.md.txt#v1.customers.operations)
- [REST Resource: v1.customers.quarantinedMessages](https://developers.google.com/workspace/gmail/admin-quarantine/reference/rest.md.txt#v1.customers.quarantinedMessages)
- [REST Resource: v1.customers.quarantines](https://developers.google.com/workspace/gmail/admin-quarantine/reference/rest.md.txt#v1.customers.quarantines)

## Service: mailadminquarantine.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://mailadminquarantine.googleapis.com`

## REST Resource: [v1.customers.operations](https://developers.google.com/workspace/gmail/admin-quarantine/reference/rest/v1/customers.operations.md.txt)

| Methods ||
|---|---|
| `get` | `GET /v1/{name=customers/*/operations/*}` Gets the latest state of a long-running operation. |

## REST Resource: [v1.customers.quarantinedMessages](https://developers.google.com/workspace/gmail/admin-quarantine/reference/rest/v1/customers.quarantinedMessages.md.txt)

| Methods ||
|---|---|
| `batchDeny` | `POST /v1/{parent=customers/*}/quarantinedMessages:batchDeny` > [!WARNING] > **Developer Preview:** Available as part of the [Google Workspace Developer Preview Program](https://developers.google.com/workspace/preview.md.txt), which grants early access to certain features. Denies a list of messages asynchronously. |
| `batchRelease` | `POST /v1/{parent=customers/*}/quarantinedMessages:batchRelease` > [!WARNING] > **Developer Preview:** Available as part of the [Google Workspace Developer Preview Program](https://developers.google.com/workspace/preview.md.txt), which grants early access to certain features. Releases a list of messages asynchronously. |
| `deny` | `POST /v1/{name=customers/*/quarantinedMessages/*}:deny` > [!WARNING] > **Developer Preview:** Available as part of the [Google Workspace Developer Preview Program](https://developers.google.com/workspace/preview.md.txt), which grants early access to certain features. Denies a message from a quarantine. |
| `get` | `GET /v1/{name=customers/*/quarantinedMessages/*}` > [!WARNING] > **Developer Preview:** Available as part of the [Google Workspace Developer Preview Program](https://developers.google.com/workspace/preview.md.txt), which grants early access to certain features. Gets metadata and content for a quarantined message. |
| `list` | `GET /v1/{parent=customers/*}/quarantinedMessages` > [!WARNING] > **Developer Preview:** Available as part of the [Google Workspace Developer Preview Program](https://developers.google.com/workspace/preview.md.txt), which grants early access to certain features. Queries for quarantined messages using specific filter conditions. |
| `release` | `POST /v1/{name=customers/*/quarantinedMessages/*}:release` > [!WARNING] > **Developer Preview:** Available as part of the [Google Workspace Developer Preview Program](https://developers.google.com/workspace/preview.md.txt), which grants early access to certain features. Releases a message from a quarantine to be delivered to the recipients. |
| `search` | `POST /v1/{parent=customers/*}/quarantinedMessages:search` > [!WARNING] > **Developer Preview:** Available as part of the [Google Workspace Developer Preview Program](https://developers.google.com/workspace/preview.md.txt), which grants early access to certain features. Searches for quarantined messages using specific search queries. |

## REST Resource: [v1.customers.quarantines](https://developers.google.com/workspace/gmail/admin-quarantine/reference/rest/v1/customers.quarantines.md.txt)

| Methods ||
|---|---|
| `get` | `GET /v1/{name=customers/*/quarantines/*}` > [!WARNING] > **Developer Preview:** Available as part of the [Google Workspace Developer Preview Program](https://developers.google.com/workspace/preview.md.txt), which grants early access to certain features. Gets a quarantine. |
| `list` | `GET /v1/{parent=customers/*}/quarantines` > [!WARNING] > **Developer Preview:** Available as part of the [Google Workspace Developer Preview Program](https://developers.google.com/workspace/preview.md.txt), which grants early access to certain features. Returns a list of all quarantines defined by this customer. |